package TDS::Replacer::Term;

use strict;
use ObjectTemplate;

use TDS::System;
use TDS::Replacer::Base;
use TDS::DirInfo;

use vars qw(@ISA);
@ISA = qw(TDS::Replacer::Base);

sub initialize($)
{
    my $self = shift;
    $self->datafile(GetDataDir() . "/term.dat")
	unless $self->datafile;
    $self->SUPER::initialize;
}

sub AsHTML ($)
{
    my $self = shift;

#    my @table_content = qq(<tr><th>"original"<th>"replaced"</tr>\n);
#    for (@{$self->content}){
#	push(@table_content, qq(<tr><td>$_->[0]), $_->[1]));
#    }
#    print table({-border=>1}, @table_content);
    return "unimplemented";
}
    
1;
